## node-speech-rule-engine 4.0.7%2B~0.1.31

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	make all JSON_MINIFY=./debian/build_modules/json-minify/index.js
	make publish
	tsc
	webpack

override_dh_installdocs:
	dh_installdocs
	dh_nodejs_autodocs

## node-speech-rule-engine 4.0.7+~0.1.31

=== Makefile ===
#
# Makefile for Speech Rule Engine
# Copyright 2014-2021, Volker Sorge <Volker.Sorge@gmail.com>
#
# This has been reduced to take care maps of only.

MODULE_NAME = node_modules
ifneq ($(wildcard ./$(MODULE_NAME)/.*),)
PREFIX = $(abspath .)
else
PREFIX =$(HOME)
endif

# Nodejs location.
NODEJS = node
NODE_MODULES = $(PREFIX)/$(MODULE_NAME)

IEMAPS_PKG = $(abspath ../sre-mathmaps-ie)

# Ideally, no changes necessary beyond this point!
SRC_DIR = $(abspath ./ts)
BIN_DIR = $(abspath ./bin)
LIB_DIR = $(abspath ./lib)
SRC = $(SRC_DIR)/**/*.ts
TARGET = $(LIB_DIR)/sre.js
MATHJAX = $(LIB_DIR)/mathjax-sre.js

JSON_SRC = $(abspath ./mathmaps)
JSON_DST = $(LIB_DIR)/mathmaps
MAPS = messages si functions symbols units rules
IEMAPS_FILE = $(IEMAPS_PKG)/mathmaps_ie.json
LOCALES = $(notdir $(wildcard $(JSON_SRC)/*))  ## $(foreach dir, $(MAPS), $(JSON_SRC)/$(dir))
LOC_DST = $(addprefix $(JSON_DST)/, $(addsuffix .json,$(LOCALES)))

JSON_MINIFY = npx json-minify

### Intermediate minified locale files for faster building
MINI_DIR = $(abspath ./minimaps)
JSON_FILES = $(wildcard $(foreach fd, $(LOCALES), $(foreach gd, $(MAPS), $(JSON_SRC)/$(fd)/$(gd)/*.json)))
MINI_SRC = $(foreach file, $(JSON_FILES), $(subst $(JSON_SRC)/, , $(file)))
# MINI_DST = $(foreach file, $(MINI_SRC), $(patsubst %.json, %.min, $(addprefix $(MINI_DIR)/, $(subst $(JSON_SRC)/, , $(file)))))
MINI_DST = $(patsubst %.json, %.min, $(JSON_FILES))



#######################################################################3

all: directories maps

directories: $(BIN_DIR) $(LIB_DIR)

$(BIN_DIR):
	mkdir -p $(BIN_DIR)

$(LIB_DIR):
	mkdir -p $(LIB_DIR)

clean: clean_json clean_mathjax
	rm -f $(TARGET)


##################################################################
# Building the maps and publish the API via npm.
##################################################################

publish: maps

$(JSON_DST):
	@echo "Creating JSON destination."
	@mkdir -p $(JSON_DST)

maps: $(JSON_DST) clean_loc $(LOC_DST)

clean_loc:
	@if ! [ -z $(LOC) ]; then \
		echo "Deleting $(LOC).json"; \
		rm -f $(JSON_DST)/$(LOC).json; \
	fi

clean_mini:
	rm -f $(MINI_DST)

%.min: %.json
	@echo "Minifying " $@
	@echo $<
	@mkdir -p $(@D)
	$(JSON_MINIFY) $(patsubst %.min, %.json, $@) > $@


$(LOC_DST): $(MINI_DST)
	@echo "Creating mappings for locale `basename $@ .json`."
	@echo '{' > $@
	@for dir in $(MAPS); do\
		if [ -d $(JSON_SRC)/`basename $@ .json`/$$dir ]; then \
			for i in $(JSON_SRC)/`basename $@ .json`/$$dir/*.min; do\
				echo '"'`basename $@ .json`/$$dir/`basename $$i`'": '  >> $@; \
				cat $$i >> $@; \
				echo ','  >> $@; \
			done; \
		fi; \
	done
	@sed '$$d' $@ > $@.tmp
	@echo '}' >> $@.tmp
	@echo '' >> $@.tmp
	@mv $@.tmp $@

iemaps: $(JSON_DST) $(IEMAPS_FILE)

$(IEMAPS_FILE): $(MINI_DST)
	@echo "Creating mappings for IE."
	@echo 'sre.BrowserUtil.mapsForIE = {' > $(IEMAPS_FILE)
	@for j in $(LOCALES); do\
		for dir in $(MAPS); do\
			echo $(JSON_SRC)/$$j/$$dir;\
			if [ -d $(JSON_SRC)/$$j/$$dir ]; then\
				for i in $(JSON_SRC)/$$j/$$dir/*.min; do\
					echo '"'`basename $$j`/$$dir/`basename $$i`'": '  >> $(IEMAPS_FILE); \
					cat $$i >> $@; \
					echo ','  >> $(IEMAPS_FILE); \
				done; \
			fi; \
		done; \
	done
	@sed '$$d' $(IEMAPS_FILE) > $(IEMAPS_FILE).tmp
	@echo '}' >> $(IEMAPS_FILE).tmp
	@echo '' >> $(IEMAPS_FILE).tmp
	@mv $(IEMAPS_FILE).tmp $(IEMAPS_FILE)


# Emacs-speak convenience
emacs: publish
	@cp $(TARGET) ../emacs-math-speak/


##################################################################
# Other cleanup targets.
##################################################################

clean_mathjax:
	rm -f $(MATHJAX)

clean_iemaps:
	rm -f $(IEMAPS_FILE)

clean_json:
	rm -rf $(JSON_DST)

clean_min:
	rm $(MINI_DST)

=== debian/changelog ===
node-speech-rule-engine (4.0.7+~0.1.31-2) unstable; urgency=medium

  * Source-only upload

 -- Yadd <yadd@debian.org>  Fri, 20 Oct 2023 07:17:07 +0400

node-speech-rule-engine (4.0.7+~0.1.31-1) unstable; urgency=medium

  * Initial release (Closes: #1052075)

 -- Yadd <yadd@debian.org>  Sun, 17 Sep 2023 04:18:49 +0400

=== debian/control ===
Source: node-speech-rule-engine
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Build-Depends:
 debhelper-compat (= 13)
 , dh-sequence-nodejs
 , dh-nodejs
 , node-rollup-plugin-commonjs
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-terser
 , node-typescript
 , rollup
 , webpack
Standards-Version: 4.6.2
Homepage: https://github.com/zorkow/speech-rule-engine
Vcs-Git: https://salsa.debian.org/js-team/node-speech-rule-engine.git
Vcs-Browser: https://salsa.debian.org/js-team/node-speech-rule-engine
Rules-Requires-Root: no

Package: node-speech-rule-engine
Architecture: all
Depends:
 ${misc:Depends}
 , node-commander
 , nodejs:any
Provides: ${nodejs:Provides}
Description: NodeJS version of the ChromeVox speech rule engine
 node-speech-rule-engine (SRE) can translate XML expressions into speech
 strings according to rules that can be specified in a syntax using Xpath
 expressions.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.+\/v?(\d\S+)@ARCHIVE_EXT@/speech-rule-engine-$1\.tar\.gz/ \
 https://github.com/zorkow/speech-rule-engine/tags .*/v?(\d[\d\.]*)\.tar\.gz group

opts=\
searchmode=plain,\
component=xmldom-sre,\
ctype=nodejs,\
pgpmode=none,\
filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-xmldom-sre-$1/ \
 https://registry.npmjs.org/xmldom-sre https://registry.npmjs.org/xmldom-sre/-/xmldom-sre-([\d\.]+)@ARCHIVE_EXT@ group
